/* -*-  vim: set ts=2 nowrap: -*-
 *
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy
 * of the License at http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an
 * "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
 * The Original Code is PubMed toolbar code.
 *
 * The Initial Developer of the Original Code is Adrian
 * Mastronardi <adrianm@museo.fcnym.unlp.edu.ar>. Portions
 * created by Adrian Mastronardi are Copyright (C) 2002 Adrian
 * Mastronardi. All Rights Reserved.
 *
 * Contributor(s): 
 *   Martin Hassman <martin.hassman@vscht.cz>
 *
 * $Id: pref-expasybar.js,v 1.1 2002/10/13 09:38:05 Martin Hassman Exp $
 */

function expasybar_mirrorlist_oncommand(aElement) {
  // display server for choosed region, enabled edit server name in case 'user defined'
	var mirrorbox = document.getElementById("expasybar-mirror-name");
  var mlist_value = aElement.selectedItem.value
/*
	var s;

	s = "mlist_value=" + mlist_value + ", textbox value=" + mirrorbox.getAttribute("value") + ", length=" + mirrorbox.getAttribute("textLength") + ",";
	alert(s);
 */

  switch(mlist_value) {
	case "default":
		mirrorbox.removeAttribute("value");
		mirrorbox.setAttribute("value", "www.expasy.org");
		break;

	case "au":
		mirrorbox.setAttribute("value", "au.expasy.org");
		break;

	case "ca":
		mirrorbox.setAttribute("value", "ca.expasy.org");
		break;

	case "cn":
		mirrorbox.setAttribute("value", "cn.expasy.org");
		break;

	case "kr":
		mirrorbox.setAttribute("value", "kr.expasy.org");
		break;

	case "sw":
		mirrorbox.setAttribute("value", "www.expasy.ch");
		break;

	case "tw":
		mirrorbox.setAttribute("value", "tw.expasy.org");
		break;

  case "usa":
		mirrorbox.setAttribute("value", "us.expasy.org");
		break;

  case "user":
		mirrorbox.setAttribute("value", prompt("Enter server name:", ""));
		// TODO make this textstring localized
		break;

	default:
		alert("Error in ExPASyBar");
	}

//	debug_output(mirrorbox);
}

/////////////////////////
// Below are only tests
function debug_output(variable) {
	// only for debugging -> here must be better output (maybe document.close;document.write;document.close;);
	var s = "";
	var i;
	var n = 0;

	for (i in variable) {
			n++;
			s+=i;
			s+= "<br>\n";

	//	s+= i + ":" + variable[i] + "\n";
	}

expasybar_debug(s);
expasybar_debug("-------------------");
expasybar_debug("n="+n);
}

///////////////////////////////
// Debug console
var _expasybar_console = null;

function expasybar_debug(msg) {
	// console for debug output
	if (_expasybar_console == null || _expasybar_console.closed) {
		_expasybar_console = window.open("", "ExPASyBar debug console", "width=600,height=300,resizable");
		_expasybar_console.document.open("text/plain");  // this seems do not worked, so try html output
		_expasybar_console.document.writeln("Debug output:");
		_expasybar_console.document.writeln("<br>");
	}

	_expasybar_console.document.writeln(msg);
	_expasybar_console.document.writeln("<br>");
	//_expasybar_console.document.close();  // do not close document if want write other lines
}

